
Infrastructure - Task #3903

Get real certificate and DNS alias assigned for DataONE splunk

2013-08-09 12:15 - Bruce Wilson

Status: Closed Start date: 2013-08-09

Priority: Normal Due date:  

Assignee: Chris Brumgard % Done: 100%

Category: Support Operations Estimated time: 0.00 hour

Target version:    

Milestone: None Story Points:  

Product Version: *   

Description

1) Get a DNS address assigned for the splunk server at ORC.  My thought is that an A record is best, pointing to 160.36.13.136

(splunk.dataone.utk.edu).

2) Get and install a proper certificate so that https works without a certificate error for this site.  

History

#1 - 2013-08-09 17:00 - Matthew Jones

If you used the address splunk.dataone.org instead, you could use the dataone wildcard certificate rather than purchasing (and keeping up to date) a

new one.  Just a thought...

#2 - 2013-08-09 17:15 - Bruce Wilson

Matthew Jones wrote:

If you used the address splunk.dataone.org instead, you could use the dataone wildcard certificate rather than purchasing (and keeping up to

date) a new one.  Just a thought...

 

BEW:

Yup, something in the *.dataone.org space is what I had in mind.  I simply provided the name for the server as it's currently defined and its current IP

address.  Thanks for clarifying.

#3 - 2013-08-09 17:26 - Matthew Jones

OK, then I created splunk.dataone.org for you, and pointed at the IP number given.  You should just have to install the certificate.

splunk.dataone.org. 86400   IN  A   160.36.13.136

#4 - 2013-08-12 03:33 - Chris Brumgard

- Status changed from New to Closed

- translation missing: en.field_remaining_hours set to 0.0
Configured the splunk web server (splunk.dataone.org) to use the dataone wildcard production certificate.
